Summary: A toolkit to download, sort and store news binaries
%define version 0.4.4
Name: pimppa
Version: %{version}
Release: 1
Exclusivearch: i386
Copyright: GPL
Group: Applications/Internet
Source: http://http://download.sourceforge.net/pimppa/pimppa-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Requires: suck >= 4.2.1, MySQL >= 3.22.25, uudeview >= 0.5.13

%description
PIMPPA provides automatic tools for newsgroup leeching, decoding,
duplicate discarding and further file processing. The keyword
is "minimal user interaction".

It is NOT a newsreader and can't be used to read news.

%prep
%setup -q

%build
./configure --prefix=/usr
make 

%install
make prefix=$RPM_BUILD_ROOT/usr install

install -c -m 754 sql/createdb $RPM_BUILD_ROOT/usr/share/pimppa/createdb
install -c -m 644 sql/create_database.sql $RPM_BUILD_ROOT/usr/share/pimppa/create_database.sql

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO COPYING ChangeLog

/usr/bin/padddir
/usr/bin/padopt
/usr/bin/passign
/usr/bin/pbackup
/usr/bin/pclean
/usr/bin/pdesc
/usr/bin/pf
/usr/bin/pkill
/usr/bin/pleech
/usr/bin/pmarkoff
/usr/bin/pmv
/usr/bin/pmv3
/usr/bin/pnewarea
/usr/bin/pnewgrp
/usr/bin/ptest
/usr/bin/ptrans

/usr/bin/p_areas
/usr/bin/p_con
/usr/bin/p_groups
/usr/bin/p_loc
/usr/bin/p_maint
/usr/bin/p_size
/usr/bin/pngcrush.stub
/usr/bin/pv_desc
/usr/bin/pv_last
/usr/bin/pv_name
/usr/bin/pv_since
/usr/bin/pv_sql
/usr/bin/rc2sql
/usr/bin/viewdeep

/usr/bin/bowser

/usr/share/pimppa

%post

if "mysqlshow" -u pimppa pimppa 1>/dev/null 2>/dev/null ; then
	echo
	echo It seems you\'re upgrading; pimppa MySQL tables seem to 
	echo already exist. I won\'t recreate them.
	echo 
	echo
else
	echo
	echo Installing PIMPPA MySQL database, db user and tables.
	OLDDIR=`pwd`
	cd /usr/share/pimppa
	./createdb
	cd $OLDDIR
fi

%changelog
* Wed Jun 28 2000 Igor Wronsky <iwronsky@users.sourceforge.net> 
       First RPM release

